# $Revision: 1.20 $, $Date: 2010/06/20 13:41:10 $
#
# Conditional build:
%bcond_with	javadoc		# build javadoc (doesn't build on builders)
#
%include	/usr/lib/rpm/macros.java
Summary:	Easy to use and powerful layout manager for Java
Summary(pl.UTF-8):	Łatwy w użyciu i potężny zarządca układów graficznych dla Javy
Name:		higlayout
Version:	1.0
Release:	4
License:	LGPL
Group:		Libraries
Source0:	http://www.autel.cz/dmi/HIGLayout%{version}.zip
# Source0-md5:	5bd79f33157824499b0fc03d6a5e080a
URL:		http://www.autel.cz/dmi/tutorial.html
BuildRequires:	jdk
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
Requires:	jpackage-utils
Requires:	jre >= 1.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Easy to use and powerful layout manager for Java.

%description -l pl.UTF-8
Łatwy w użyciu i potężny zarządca układów graficznych dla Javy.

%package javadoc
Summary:	Java API documentation for higlayout
Summary(pl.UTF-8):	Dokumentacja Java API dla higlayout
Group:		Documentation

%description javadoc
Java API documentation for higlayout.

%description javadoc -l pl.UTF-8
Dokumentacja Java API dla higlayout.

%package demo
Summary:	Demo for %{name}
Summary(pl.UTF-8):	Pliki demonstracyjne dla pakietu %{name}
Group:		Development
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%description demo -l pl.UTF-8
Pliki demonstracyjne i przykłady dla pakietu %{name}.

%prep
%setup -q -c
mv src/cz .
sed -i -e 's/\r//g' examples/*.java tutorial/*.html *.txt
rm -rf apidoc; mkdir apidoc

%build
%if %{with javadoc}
CLASSPATH=. %javadoc -link %{_javadocdir}/java -d apidoc cz.autel.dmi
%endif
%javac -source 1.4 cz/autel/dmi/*.java
%jar cf %{name}.jar cz/autel/dmi/*.class

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# install jar
cp -a %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# examples / tutorial
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples tutorial $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a apidoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc Changes.txt readme.txt
%{_javadir}/%{name}*.jar

%files demo
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: higlayout.spec,v $
Revision 1.20  2010/06/20 13:41:10  arvenil
- release 4

Revision 1.19  2010/04/23 00:14:34  pawelz
- Dropped EA, we have icedtea6 jdk on all archs

Revision 1.18  2009/02/22 13:04:24  arvenil
- javadoc doesnt build - disabled

Revision 1.17  2009/02/22 12:54:09  arvenil
- release 3

Revision 1.16  2008/01/13 10:01:22  qboosh
- unified

Revision 1.15  2007-12-09 01:43:37  glen
- R: jpackage-utils for %{_javadir}

Revision 1.14  2007-11-22 21:22:52  arvenil
- added missing ghost
- release 2

Revision 1.13  2007-11-21 23:54:26  glen
- reset CLASSPATH for javadoc so GNUstep paths won't cause side-effects on builders

Revision 1.12  2007-11-21 22:23:51  glen
- we don't package common licenses

Revision 1.11  2007-11-21 22:22:55  glen
- add -demo and -javaodc
- unify with template-java.spec

Revision 1.10  2007-11-21 14:42:18  arvenil
- revert last commit
- -javadoc subpackage removed, doesn't build on builders
- added TODO

Revision 1.8  2007-11-21 12:07:44  arvenil
- BR: unzip
- release 1

Revision 1.7  2007-08-16 22:22:10  adamg
- ExclusiveArch: i586 i686 pentium3 pentium4 athlon %{x8664}
  (same EA as in java-sun)

Revision 1.6  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.4  2006/12/07 23:14:55  darekr
- BR: sed 4.0

Revision 1.3  2006/09/25 11:30:35  adamg
- BuildRequires: java-sun (fails on gcj (no javadoc) and on kaffe (awt))

Revision 1.2  2006/07/26 18:43:02  qboosh
- pl summary, dots

Revision 1.1  2006/07/24 23:22:42  adamg
- new
